/***************************************************************************
                           punit.cpp  -  Random place Unit for RPG names
                             -------------------
    begin                : 10.10.2002
    copyright            : (C) 2002 by strato
    email                : strato@shufflebee.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "punit.h"
#include <qstringlist.h>

PUnit::PUnit()
{
  placename = "";
}

PUnit::~PUnit()
{

}

/*
 * Create array of names
 */
void PUnit::makeList(const QStringList& places)
{
    p1.clear(); p2.clear(); p3.clear(); p4.clear(); p5.clear(); 

    int c,i,l;
    c = places.count();
    if(c < 5) { qWarning("Not enough member data to create place names"); return; }
    l = c/5;
    i = 0; 
  
    for( i = 0; i < l*5; i++ )
      { 
	switch( i%5 )
	  {
	  case 0: 
	    p1.append(places[i]); break;	    
	  case 1: 
	    p2.append(places[i]); break;
	  case 2: 
	    p3.append(places[i]); break;
	  case 3: 
	    p4.append(places[i]); break;
	  case 4: 
	    p5.append(places[i]); break;
	  default: qWarning("case not matched!"); break;
	  }
      }  

}

