/***************************************************************************
                          main.cpp  -  main file for RPG names
                             -------------------
    begin                : 10.10.2002
    copyright            : (C) 2002 by strato
    email                : strato@shufflebee.dk
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//#include "rpgnames.h"
#include "names.h"
#include <qpe/config.h>
#include <qpe/qpeapplication.h>
#include <qpe/applnk.h>
#include <qfile.h>

int main( int argc, char ** argv )
{

  Config cfg = Config("rpgnames");
  cfg.setGroup("xmlfiles");
  
  QPEApplication a( argc, argv );
  QString filename;
  QString defaultxml = a.qpeDir() + "lib/rpgnames/fantasy.xml";
  QString stored = cfg.readEntry( "filename",defaultxml); 
  
  // Desktop qpe on qpvf: 
  // stored = "/Documents/text/xml/fantasy.xml";

  if( argc == 2 )
    filename = argv[1];
  else filename = stored;
  
  QFile dummy;
  if(!dummy.exists(filename))
    filename = defaultxml;

  qDebug("You chose file: " + filename);
  
  GMTool mw;
  //RPGNames* myNames = new RPGNames();
  //qDebug("Debug 1");
  //myNames->namegenerator->setFile(filename);  
  mw.setFile(filename);

  //qDebug("Debug 2");
  //myNames->namegenerator->parseFile();

  mw.parseFile();

  //qDebug("Now showing   ");

  a.showMainDocumentWidget(&mw);
  return a.exec();

}
