#include "rpgnames.h"
#include <qpe/fileselector.h>
#include <qpe/applnk.h>


RPGNames::RPGNames()
{
  stack = new QWidgetStack(this);
  fileselector = new FileSelector("txt/*", stack, "XML Browser", FALSE, FALSE);
  connect( fileselector, SIGNAL(fileSelected(const DocLnk&)), this, SLOT(openDoc(const DocLnk&))); 
  namegenerator = new GMTool(stack);
  // stack->addWidget(namegenerator,0);
  this->setCentralWidget(stack);
  current = namegenerator;
  stack->raiseWidget(namegenerator);
}

RPGNames:: ~RPGNames()
{
  delete stack;
  delete namegenerator;
  delete fileselector;
}


/* void RPGNames::raiseWidget(QWidget* w)
{
  qDebug("raiseWidget not implemented yet!");
  this->raiseWidget(w);
  return;
}*/
